> ## Documentation Index
> Fetch the complete documentation index at: https://platform.perso.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Prompt

> Retrieve a prompt by its unique identifier.



## OpenAPI

````yaml /specs/openapi-interactive.json get /api/v1/prompt/{prompt_id}/
openapi: 3.0.3
info:
  title: Perso Interactive API
  version: 0.0.0
servers:
  - url: https://platform.perso.ai
security: []
tags:
  - name: Embed
paths:
  /api/v1/prompt/{prompt_id}/:
    get:
      tags:
        - Session Resources
      summary: Retrieve Prompt
      description: Retrieve a prompt by its unique identifier.
      operationId: v1_prompt_retrieve
      parameters:
        - in: path
          name: prompt_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Prompt'
          description: ''
        '401':
          description: Unauthorized - Invalid or missing authentication credentials.
        '403':
          description: Forbidden - You do not have permission to perform this action.
        '500':
          description: Internal Server Error - An unexpected error occurred.
      security:
        - PersoPlatform-APIKey: []
        - {}
components:
  schemas:
    Prompt:
      type: object
      properties:
        name:
          type: string
          maxLength: 100
        description:
          type: string
        prompt_id:
          type: string
          readOnly: true
        system_prompt:
          type: string
          description: >-
            Instructions sent to the LLM at the start of every conversation
            using this prompt.
        require_document:
          type: boolean
          description: >-
            When require_document is True, the System prompt must include
            '{context}' string to be replaced with the document search result in
            the prompt.require_document 가 True 인 경우, 시스템 프롬프트는 '{context}' 문자열을
            포함해야 하며, 해당 문자열은 프롬프트에서 문서 검색 결과로 대체됩니다.
        intro_message:
          type: string
          description: First message the AI speaks when a session opens (optional).
      required:
        - name
        - prompt_id
        - system_prompt
  securitySchemes:
    PersoPlatform-APIKey:
      type: apiKey
      in: header
      name: PersoPlatform-APIKey

````